Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPLinearExtrusionFilter Class Reference

`#include <vtkPLinearExtrusionFilter.h>`

Inheritance diagram for vtkPLinearExtrusionFilter:

[legend]
Collaboration diagram for vtkPLinearExtrusionFilter:

[legend]
List of all members.

## Detailed Description

Subclass that handles piece invariance.

Date:
  2002/01/22 15:34:47

Revision:
  1.5

vtkPLinearExtrusionFilter is a parallel version of vtkLinearExtrusionFilter.

See also:
  vtkLinearExtrusionFilter

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (94%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkPLinearExtrusionFilter.h)`
  - .`cxx` (`/Parallel/vtkPLinearExtrusionFilter.cxx)`

Tests:
  vtkPLinearExtrusionFilter (Tests)

Definition at line 46 of file vtkPLinearExtrusionFilter.h.

## Public Types
typedef vtkLinearExtrusionFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPieceInvariant (int)
virtual int | GetPieceInvariant ()
virtual void | PieceInvariantOn ()
virtual void | PieceInvariantOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPLinearExtrusionFilter * | SafeDownCast (vtkObject *o)
vtkPLinearExtrusionFilter * | New ()
## Protected Methods
| vtkPLinearExtrusionFilter ()
| ~vtkPLinearExtrusionFilter ()
void | Execute ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
## Protected Attributes
int | PieceInvariant

## Member Typedef Documentation

typedef vtkLinearExtrusionFilter vtkPLinearExtrusionFilter::Superclass

| Reimplemented from vtkLinearExtrusionFilter. Definition at line 49 of file vtkPLinearExtrusionFilter.h.

## Constructor & Destructor Documentation

vtkPLinearExtrusionFilter::vtkPLinearExtrusionFilter | ( |  | ) | `[protected]`

vtkPLinearExtrusionFilter::~vtkPLinearExtrusionFilter | ( |  | ) | `[inline, protected]`

| Definition at line 67 of file vtkPLinearExtrusionFilter.h.

## Member Function Documentation

virtual const char* vtkPLinearExtrusionFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkLinearExtrusionFilter.

int vtkPLinearExtrusionFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLinearExtrusionFilter.

virtual int vtkPLinearExtrusionFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLinearExtrusionFilter.

vtkPLinearExtrusionFilter* vtkPLinearExtrusionFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkLinearExtrusionFilter.

void vtkPLinearExtrusionFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkLinearExtrusionFilter.

vtkPLinearExtrusionFilter* vtkPLinearExtrusionFilter::New | ( |  | ) | `[static]`

| Create an object with PieceInvariant off. Reimplemented from vtkLinearExtrusionFilter.

virtual void vtkPLinearExtrusionFilter::SetPieceInvariant | ( | int |  | ) | `[virtual]`

virtual int vtkPLinearExtrusionFilter::GetPieceInvariant | ( |  | ) | `[virtual]`

virtual void vtkPLinearExtrusionFilter::PieceInvariantOn | ( |  | ) | `[virtual]`

virtual void vtkPLinearExtrusionFilter::PieceInvariantOff | ( |  | ) | `[virtual]`

void vtkPLinearExtrusionFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkLinearExtrusionFilter.

void vtkPLinearExtrusionFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkPolyDataSource.

## Member Data Documentation

int vtkPLinearExtrusionFilter::PieceInvariant`[protected]`

| Definition at line 72 of file vtkPLinearExtrusionFilter.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPLinearExtrusionFilter.h